<?
  ##########################################
## Автор: Говно кодырь -=ШАХТЕР=-           #  
## Сайт: http://masteram.us ICQ  : 46-92-90 #
### Версия 4.0 Лицензионная                 #
## Данная версия скрипта являлась ПЛАТНОЙ,  #
## вы НЕ ИМЕЛИ ПРАВА распрострянять данный  #
## скрипт или какие-либо части его кода...  #
## А ТЕПЕРЬ СВСЕМ НА ЭТО ПОХУЙ!!!)))        #
  #########################################

$a = $db->sql_query ("Select * from vopros where ids = '1'");
$b = $db->sql_fetchrow ($a);
$nom = $b['number'];
$vr = $b['time'];
$answ = $b['answer'];
$amsg = rus_to_k($msg);
$tran = $b['tran'];

if ($msg=='!вопрос'||$msg=='!vopros'){
$r = $db->sql_query ("select * from vopros where ids = '1'");
$a = $db->sql_fetchrow($r);
$vp = $a ['question'];
$i = $a ['number'];
if ($i!=5){
$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,emo,bb,color) VALUES ('$user_um','0','".($time+1)."','".$vp."','$rm','0','0','0')");
}else{
$vp = 'Вопрос еще не задан...';
$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,emo,bb,color) VALUES ('$user_um','0','".($time+1)."','".$vp."','$rm','0','0','0')");
}
}

if ($msg=='!ответ'||$msg=='!otvet'){
$b = $db->sql_fetchrow ($db->sql_query ("Select answer from vopros"));
$user['byeotv']++;
if ($rooms['baryga']!=0){
if ($user['posts']>=$set['cena_answ']){
$db->sql_query ("Update users set posts='".($user['posts']-$set['cena_answ'])."', byeotv='".$user['byeotv']."' where id='".$user["id"]."'");

$mes = "Правильный ответ на текущий вопрос: [b]".$b["answer"]."[/b] =)";
$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,komu,privat) VALUES ('$user_prod','0','".($time+1)."','".$mes."','$rm','$user[id]','$user[id]')");

}else{

$mes = 'У вас недостаточно постов! Ответ стоит [b]'.$set['cena_answ'].'[/b] постов!';
$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,komu,privat) VALUES ('$user_prod','0','".($time+1)."','".$mes."','$rm','$user[id]','$user[id]')");

}

}else{

$mes = "Извините, но в этой комнате я не работаю...";
$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,komu,privat) VALUES ('$user_prod','0','".($time+1)."','".$mes."','$rm','$user[id]','$user[id]')");

}

}
$s = substr ($msg,0,5);
if (($s == "stats")&&(strlen($msg) > 6)){
$stsus = substr ($msg,6,strlen($msg)-6);
$a = @$db->sql_query ("Select credits from users where user='".$stsus."'");
if (mysql_affected_rows() != 0){

$b = $db->sql_fetchrow($a);
$i = $b["credits"];
$a = @$db->sql_query ("Select * from users order by credits desc LIMIT 101");
$j = 1;
$b = $db->sql_fetchrow($a);

while (($b["user"] != $stsus)&&($j <= 100)) {$b = $db->sql_fetchrow($a); $j++;}
if ($j<=100) $s= "И он занимает в рейтинге $j место";
else $s = "И его место в рейтинге за пределами первой сотни.";
$mes = "У пользователя $stsus $i правильных ответов. $s";


$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,emo,bb,color) VALUES ('$user_um','0','".($time+1)."','".$mes."','$rm','0','0','0')");

} else {

$mes = "Игрока с ником $stsus нет в базе данных!";


$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,emo,bb,color) VALUES ('$user_um','0','".($time+1)."','".$mes."','$rm','0','0','0')");

}
}


if (($msg == $answ||$tran == $amsg)&&$nom!=5){

$agent = htmlentities(addslashes($soft));
if (((strpos ($agent,"M3Gate") !== false)||(strpos ($agent,"Opera") !== false)||(strpos ($agent,"emulator") !== false)||(strpos ($agent,"WinWAP") !== false)||(strpos ($agent,"Wapsilon") !== false)||(strpos ($agent,"Mozilla") !== false)||(strpos ($agent,"M3GATE") !== false))&&($set["vict"] == 0)){

$mes = "Вы правильно ответили на этот вопрос. Но с компа ответы не засчитываются.";

$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,komu,privat) VALUES ('$user_prod','0','".($time+1)."','".$mes."','$rm','$user[id]','$user[id]')");

}else{

$victint = $set['victint'];
$st = $time + $victint;
if ($victint=="10") $interval="10 секунд";
else if ($victint=="30") $interval="30 секунд";
else if ($victint=="60") $interval="минуту";
else $interval="2 минуты";
$db->sql_query ("Update vopros set number = '5', time = '".$st."', answer = ' ', tran = ' ' WHERE ids ='1'");
$st = getmicrotime();

cred_add();

$today=date ("H:i");
$creditss1=$user["credits"];
if($user["sex"]==1)$sex1="его";
else if($user["sex"]==0)$sex1="её";
else $sex1="их";
$mes = "[b]".$user['user']."[/b],Правильно отвечает на вопрос! И это $sex1 $creditss1 правильный ответ!. Следующий вопрос через ".$interval.".";
$rnd = rand(0,99999999);

$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,emo,bb,color) VALUES ('$user_um','0','".($time+1)."','".$mes."','$rm','0','0','0')");

}
}

?>